Skip to main content
POST
/
v1
/
connectors
curl --request POST \
  --url https://api.databar.ai/v1/connectors/ \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "name": "My Scoring API",
  "type": "enrichment",
  "method": "post",
  "url": "https://api.example.com/v1/score",
  "headers": [
    {
      "name": "Authorization",
      "value": "Bearer sk-xxx"
    },
    {
      "name": "Content-Type",
      "value": "application/json"
    }
  ],
  "parameters": [
    {
      "name": "company_domain",
      "value": ""
    }
  ],
  "body": [
    {
      "name": "domain",
      "value": ""
    },
    {
      "name": "enrichment_type",
      "value": "full"
    }
  ],
  "rate_limit": 60,
  "max_concurrency": 5
}
'
{
  "id": 42,
  "name": "My Scoring API",
  "type": "enrichment",
  "method": "post",
  "url": "https://api.example.com/v1/score",
  "headers": [
    {
      "name": "Authorization",
      "value": "Bearer sk-xxx"
    },
    {
      "name": "Content-Type",
      "value": "application/json"
    }
  ],
  "parameters": [
    {
      "name": "company_domain",
      "value": ""
    }
  ],
  "body": [
    {
      "name": "domain",
      "value": ""
    },
    {
      "name": "enrichment_type",
      "value": "full"
    }
  ],
  "rate_limit": 10,
  "max_concurrency": 5,
  "created_at": "2025-01-15T10:30:00Z"
}

Headers

x-apikey
string
required

API Key for authentication

Body

application/json
name
string
required

Display name for the connector

Maximum string length: 256
method
string
required

HTTP method: get, post, put, or patch

url
string
required

Full API endpoint URL (e.g. https://api.example.com/v1/score)

Maximum string length: 512
type
string
default:enrichment

Connector type: simple, enrichment, or exporter

headers
NameValue · object[]

HTTP headers to send with each request

parameters
NameValue · object[]

Query parameters

body
NameValue · object[]

Request body fields

body_template
string | null

Jinja body template. When set, template variables become body params instead of 'body' list.

Maximum string length: 2048
rate_limit
integer | null

Max requests per minute (capped by plan)

Required range: x >= 1
max_concurrency
integer | null

Max concurrent requests (capped by plan)

Required range: x >= 1

Response

Connector created

id
integer
required
name
string
required
type
string
required
method
string
required
url
string
required
headers
NameValue · object[]
parameters
NameValue · object[]
body
NameValue · object[]
body_template
string | null
rate_limit
integer | null
max_concurrency
integer | null
created_at
string | null